Quellcode durchsuchen

Test the FxT code, and make sure that pj_dump can read it, if available

Samuel Thibault vor 8 Jahren
Ursprung
Commit
9f06c759e4
3 geänderte Dateien mit 29 neuen und 0 gelöschten Zeilen
  1. 1 0
      configure.ac
  2. 2 0
      tests/Makefile.am
  3. 26 0
      tests/datawizard/locality.sh

+ 1 - 0
configure.ac

@@ -3089,6 +3089,7 @@ AC_CONFIG_COMMANDS([executable-scripts], [
   test -e tests/microbenchs/parallel_independent_heterogeneous_tasks.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_heterogeneous_tasks.sh tests/microbenchs/
   test -e tests/microbenchs/parallel_independent_homogeneous_tasks_data.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_homogeneous_tasks_data.sh tests/microbenchs/
   test -e tests/microbenchs/parallel_independent_homogeneous_tasks.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_homogeneous_tasks.sh tests/microbenchs/
+  test -e tests/datawizard/locality.sh || ln -sf $ac_abs_top_srcdir/tests/datawizard/locality.sh tests/datawizard/
 ])
 
 # Create links to ICD files in build/socl/vendors directory. SOCL will use this

+ 2 - 0
tests/Makefile.am

@@ -381,6 +381,8 @@ if STARPU_SIMGRID
 TESTS += $(MICROBENCHS:=.sh)
 endif
 
+TESTS += datawizard/locality.sh
+
 #######################
 # Source files        #
 #######################

+ 26 - 0
tests/datawizard/locality.sh

@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# StarPU --- Runtime system for heterogeneous multicore architectures.
+#
+# Copyright (C) 2017  Université de Bordeaux
+#
+# StarPU is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or (at
+# your option) any later version.
+#
+# StarPU is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# See the GNU Lesser General Public License in COPYING.LGPL for more details.
+
+set -e
+
+PREFIX=$(dirname $0)
+STARPU_FXT_PREFIX=$PREFIX/ $PREFIX/locality
+$PREFIX/../../tools/starpu_fxt_tool -i $PREFIX/prof_file_${USER}_0
+if type pj_dump > /dev/null
+then
+	pj_dump paje.trace > /dev/null
+fi